Subject: Re: bug#66159: 30.0.50; lua-ts-mode semantic indentation problems

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Sep 2023 18:44:54 +0300

> Cc: [email-masked]
> Date: Sun, 24 Sep 2023 10:06:50 -0500
> From:  john muhl via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > Another thing that bothers me is that I prefer Gassanenko-style packing
> > of `end' keywords so that they vertically align with the scope of the
> > opened block, as it saves so much vertical space and is easier for me to
> > read, but lua-ts-mode moves it to the latest innermost indentation
> > level, as opposed to the outermost depending on the count of ends in the
> > line itself:
> >
> > function lowest_entropy_cell(world)
> > |   local lowest,res=math.huge,nil
> > |   for y=1,world.height do
> > |   |   for x=1,world.width do
> > |   |   |   local cell=world:get(x,y)
> > |   |   |   if cell.is_set then
> > |   |   |   |   local e=cell_enthropy(cell)
> > |   |   |   |   trace(e)
> > |   |   |   |   if e <= lowest then
> > |   |   |   |   |   lowest,res=e,{x,y}
> > |   end end end end
> > |   return res or {math.random(world.width),math.random(world.height)}
> > end
> 
> I don't see any reason not to support that style but I'm not sure how to
> do it. A patch would be welcome but I'll try to figure it out sometime.

Maybe introduce indentation styles into lua-ts-mode, like CC Mode and
c-ts-mode have?